If you’ve upgraded to Snow Leopard, please note this important message from Adobe:

The initial release of Mac OS X 10.6 (Snow Leopard) includes an earlier version of Adobe Flash Player than what is available from Adobe.com. We recommend all users update to the latest, most secure version of Flash Player (10.0.32.18) — which supports Snow Leopard and is available for download from http://www.adobe.com/go/getflashplayer.

The earlier version of Flash Player included with Snow Leopard contains several security vulnerabilities. These are patched in the more recent version of Flash Player, released by Adobe on July 30th.

Macworld Magazine notes that Flash Player is an attractive target for hackers, since millions upon millions of computers worldwide have it installed.

All Mac users should make sure their version of Flash is current. This is most important for Snow Leopard users, since their version is almost certainly out of date and thus, vulnerable. Click here to download the latest Flash player.

0 Likes
40 Views

You may also like

Leave A Comment

Please enter your name. Please enter an valid email address. Please enter message.